cutlass::TypeTraits< double > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef double | host_type
typedef double | device_type
typedef int64_t | integer_type
typedef uint64_t | unsigned_type

## Static Public Member Functions

static double | remove_negative_zero (double x)
static double | to_print (double x)
static device_type | to_device (host_type x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_64F

## Member Typedef Documentation

typedef double cutlass::TypeTraits< double >::device_type

typedef double cutlass::TypeTraits< double >::host_type

typedef int64_t cutlass::TypeTraits< double >::integer_type

typedef uint64_t cutlass::TypeTraits< double >::unsigned_type

## Member Function Documentation

static double cutlass::TypeTraits< double >::remove_negative_zero | ( | double | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< double >::to_device | ( | host_type | x | ) |

inlinestatic

static double cutlass::TypeTraits< double >::to_print | ( | double | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< double >::cublas_type = CUDA_R_64F

static

The documentation for this struct was generated from the following file:

- type_traits.h